Skip to content

httpResponseSchema

const httpResponseSchema: object

The JSON Schemas those models were generated from, for runtime use.

readonly $id: "https://schemas.inderun.dev/1.0/http-response.schema.json"

readonly $schema: "https://json-schema.org/draft/2020-12/schema"

readonly additionalProperties: true

readonly description: "Normalized HTTP response payload returned by host-provided cloud transport."

readonly properties: object

readonly body: object

readonly description: "Serialized response body returned by the provider transport."

readonly type: "string"

readonly headers: object

readonly additionalProperties: object

properties.headers.additionalProperties.type

Section titled “properties.headers.additionalProperties.type”

readonly type: "string"

readonly description: "HTTP response headers normalized to string key-value pairs."

readonly type: "object"

readonly status: object

readonly description: "HTTP status code returned by the provider transport."

readonly maximum: 599

readonly minimum: 100

readonly type: "integer"

readonly statusText: object

readonly description: "HTTP status text returned by the provider transport."

readonly type: "string"

readonly required: readonly ["status", "statusText", "headers", "body"]

readonly title: "HttpResponse"

readonly type: "object"